Skip to content

/aea/v1/results/jobs

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body
plan_idstring or null
scope_idstring or null
agentsArray of objects or null(RequestAgentIdentity)
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/jobs \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '{
    "plan_id": "string",
    "scope_id": "string",
    "agents": [
      {
        "name": "string",
        "agent_id": "string"
      }
    ]
  }'

Responses

Success

Body
job_idstring or null
plan_idstring or null
scope_idstring or null
plan_versioninteger, (int32)
finishedboolean
Response
{
  "job_id": "string",
  "plan_id": "string",
  "scope_id": "string",
  "plan_version": 0,
  "finished": true
}